#!/bin/bash

cat >/usr/share/dbus-1/system.d/com.deepin.lastore.conf <<EOL
<?xml version="1.0" encoding="UTF-8"?> <!-- -*- XML -*- -->

<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>

  <!-- Only root can own the service -->
  <policy user="root">
    <allow own="com.deepin.lastore"/>
    <allow send_destination="com.deepin.lastore"/>
    <allow receive_sender="com.deepin.lastore"/>
  </policy>

  <policy context="default">
    <allow send_destination="com.deepin.lastore"/>
    <allow receive_sender="com.deepin.lastore"/>
  </policy>

</busconfig>


EOL

cp /usr/share/dbus-1/system.d/com.deepin.lastore.conf /etc/dbus-1/

