#!/bin/bash

# 用于用户刚登陆时，重启dcms.service服务，解决dcms.service服务启动失败问题
is_domain_key="is_Domain"
is_domain_value=`(/usr/bin/udcp-tool-json-query $is_domain_key /etc/udcp/userinfo.json)`
if [ "true" == "$is_domain_value" ];then
    echo "This pc is in domain!!!"
    systemctl --user enable dcmc-session.service
    systemctl --user restart dcmc-session.service
    echo "systemctl --user restart dcmc-session.service"
else
    echo "This pc is not in domain!!!"
    systemctl --user disable dcmc-session.service
    systemctl --user stop dcmc-session.service
fi