#!/bin/bash -x
export
trap "echo 'trap sign'" SIGINT
session_type=$PAM_TYPE
user=$PAM_USER
service=$PAM_SERVICE
home=$HOME

lsof $home

if [ "$service"x = "lightdm"x ]; then
	if [ "$session_type"x = "open_session"x ]; then
		echo mounting
		# 使用dbus通知udcpg执行文件重定向		
		dbus-send --system --print-reply --dest=com.deepin.udcp.udcpg /com/deepin/udcp/udcpg com.deepin.udcp.udcpg.MountNAS string:"$user"
	elif [ "$session_type"x = "close_session"x ]; then
  		echo umounting
		dbus-send --system --print-reply --dest=com.deepin.udcp.udcpg /com/deepin/udcp/udcpg com.deepin.udcp.udcpg.UMountNAS string:"$user"
	fi
fi
