#!/bin/bash
echo "auto create home dir"

Userlist=$(dbus-send --system --print-reply --dest=com.deepin.daemon.Accounts\
 /com/deepin/daemon/Accounts org.freedesktop.DBus.Properties.Get \
 string:"com.deepin.daemon.Accounts" string:"UserList" | awk '{if(NR > 1) print $2}' )

OLD_IFS="$IFS"
IFS=" "
sessionlist=($Userlist)
IFS="$OLD_IFS"
for Usersessionelement in ${sessionlist[@]}
do
    Usersessionpath=$(echo ${Usersessionelement:1} | sed 's/\"//g')
    echo $Usersessionpath
    dbus-send --system --print-reply \
    --dest=com.deepin.daemon.Accounts \
    $Usersessionpath \
    com.deepin.daemon.Accounts.User.EnableNoPasswdLogin    \
    boolean:false;

    dbus-send --system --print-reply \
    --dest=com.deepin.daemon.Accounts \
    $Usersessionpath \
    com.deepin.daemon.Accounts.User.SetAutomaticLogin \
    boolean:false;
done

