#!/bin/bash

# 入参--包名
debName=$1

if [ $# != 1 ]
then
    echo -1
elif [ ! ${debName} ]
then
    echo -2
else
    packageName=`dpkg-deb -W --showformat='${Package}' ${debName}`
    packageVer=`dpkg-deb -W --showformat='${Version}' ${debName}`
    apt --fix-broken -y install
    dpkg -i ${debName}

    newVersion=`dpkg-query  -W -f='${Version}' ${packageName}`
    if [ ${packageVer} == ${newVersion} ]
    then
        echo 0
    else
        echo -3
    fi
fi
